// Copyright 1997
// College of Computer Science
// Northeastern University Boston MA 02115

// This software may be used for educational purposes as long as this copyright
// notice is retained at the top of all files

// Should this software be modified, the words "Modified from Original" must be
// included as a comment below this notice

// All publication rights are retained.  This software or its documentation may
// not be published in any media either in whole or in part.

///////////////////////////////////////////////////////////////////////////////

// CHeaders.h

#ifndef CHEADERS_H_
#define CHEADERS_H_

// standard C files

#include <stdio.h>						// normal io
#include <ctype.h>						// character functions
#include <string.h>						// string & memory functions
#include <stdlib.h>						// general utility functions
#include <stdarg.h>						// argument list processing

// console emulator
#include <sioux.h>						// console emulator 

// Relationships among iostreams header files in Code Warrior Pro 1: August 1997
//
// iosfwd.h		includes
// ios.h		includes	mutex.h; locale.h or mlocale.h
// streambuf.h	includes	ios.h
// ostream.h	includes	iosfwd.h; streambuf.h
// istream.h	includes	ostream.h;iosfwd.h; streambuf.h; extmath.h;
//							limits.h or mlimits.h; errno.h
// iostream.h	includes	istream.h; ostream.h
// iomanip.h	includes	istream.h; ostream.h
// fstream.h	includes	iostream.h
// sstream.h	includes	iostream.h
//
// The following includes will therefore bring in all of the streams library

#include <iomanip.h>					// io manipulators
#include <fstream.h>					// file stream
#include <sstream.h>					// string stream

#include <string>						// C++ string
#include <limits>						// C++ math stuff

// additional standard C files

// #include <limits.h>					// integer limits
// #include <float.h>					// floating point limits
// Omitted in August 97 in favor of #include <limits>

#include <math.h>						// standard mathematical functions

// #include <fp.h>						// standard mathematical functions
// Omitted in August 97 in favor of #include <math.h>

#include <errno.h>						// runtime error codes
#include <time.h>						// date and time functions

#include <assert.h>						// assert macros for debugging

#endif // CHEADERS_H_
