// Copyright 1996
// College of Computer Science
// Northeastern University Boston MA 02115

// This software may be used for educational purposes as long as this copyright
// notice is retained at the top of all files

// Should this software be modified, the words "Modified from Original" must be
// included as a comment below this notice

// All publication rights are retained.  This software or its documentation may
// not be published in any media either in whole or in part.

///////////////////////////////////////////////////////////////////////////////

// Enum.h

// Miscellaneous enums

#ifndef ENUM_H_
#define ENUM_H_

// Define constants which can be used for text justification
// or for specifying a mouse button
// or for specifying a direction of motion

// These constants can be used to select bits in a bit field

enum {
	Left		= 1,
	Right		= 2,
	Center		= 4,
	Up			= 8,
	Down		= 16
};


// List of font styles
// Use + to combine styles

// These constants can be used to select bits in a bit field

enum {
	Bold		= 1,
	Italic		= 2,
	Underline	= 4,
	Outline		= 8,
	Shadow		= 16,
	Condense	= 32,
	Extend		= 64
};

#endif // ENUM_H_
