// Copyright 1996
// College of Computer Science
// Northeastern University Boston MA 02115

// This software may be used for educational purposes as long as this copyright
// notice is retained at the top of all files

// Should this software be modified, the words "Modified from Original" must be
// included as a comment below this notice

// All publication rights are retained.  This software or its documentation may
// not be published in any media either in whole or in part.

///////////////////////////////////////////////////////////////////////////////

// Mouse.h

#ifndef MOUSE_H_
#define MOUSE_H_


inline void GetMouse(Point& P) {
	GetMouse(&P);
}


inline void GetMouse(short&x, short& y) {
	Point P;
	GetMouse(&P);
	x = P.h;
	y = P.v;
}


// Code to get mouse down spot

inline void GetMouseDownSpot(Point& DownSpot) {
	// wait for button down
	// assume mouse button is up upon entry!
	
	while (!Button()) { };		// idle while awaiting click
	
	GetMouse(&DownSpot);		// get spot after mouse down
}


// Code to get mouse up spot after mouse down

inline void GetMouseUpSpot(Point& UpSpot) {
	// wait for button up
	// assume mouse button is down upon entry!
	
	while (Button()) { };		// idle while awaiting release
	
	GetMouse(&UpSpot);			// get spot after mouse up
}


// Code to await mouse click and return location
// of both mouse down spot and mouse up spot

inline void GetClickPoints(Point& DownSpot, Point& UpSpot) {
	GetMouseDownSpot(DownSpot);
	GetMouseUpSpot(UpSpot);
}


// Code to await mouse click and return location
// of only mouse up spot

inline void GetClickPoint(Point& UpSpot) {
	Point DownSpot;
	GetMouseDownSpot(DownSpot);
	
	GetMouseUpSpot(UpSpot);
}


#endif // MOUSE_H_