// Copyright 1997
// College of Computer Science
// Northeastern University Boston MA 02115

// This software may be used for educational purposes as long as this copyright
// notice is retained at the top of all files

// Should this software be modified, the words "Modified from Original" must be
// included as a comment below this notice

// All publication rights are retained.  This software or its documentation may
// not be published in any media either in whole or in part.

///////////////////////////////////////////////////////////////////////////////

// RGBNamesLarge.h					409 color variations

///////////////////////////////////////////////////////////////////////////////

#ifndef RGBNAMES_H_
#define RGBNAMES_H_

// The identifier RGBNAMES_H_ is designed so that it is impossible to load both
// RGBNames.h and RGBNamesLarge.h

#include "Graphics.h"					// graphics functions & RGB definition

const RGB RGBaliceblue				( 240, 248, 255 );
const RGB RGBantiquewhite			( 250, 235, 215 );
const RGB RGBantiquewhite1			( 255, 239, 219 );
const RGB RGBantiquewhite2			( 238, 223, 204 );
const RGB RGBantiquewhite3			( 205, 192, 176 );
const RGB RGBantiquewhite4			( 139, 131, 120 );
const RGB RGBaquamarine				( 127, 255, 212 );
const RGB RGBaquamarine1			( 118, 238, 198 );
const RGB RGBaquamarine2			( 102, 205, 170 );
const RGB RGBaquamarine3			(  69, 139, 116 );
const RGB RGBazure					( 240, 255, 255 );
const RGB RGBazure1					( 224, 238, 238 );
const RGB RGBazure2					( 193, 205, 205 );
const RGB RGBazure3					( 131, 139, 139 );
const RGB RGBbeige					( 245, 245, 220 );
const RGB RGBbisque					( 255, 228, 196 );
const RGB RGBbisque1				( 238, 213, 183 );
const RGB RGBbisque2				( 205, 183, 158 );
const RGB RGBbisque3				( 139, 125, 107 );
const RGB RGBblack					(   0,   0,   0 );
const RGB RGBblanchedalmond			( 255, 235, 205 );
const RGB RGBblue					(   0,   0, 255 );
const RGB RGBblue1					(   0,   0, 238 );
const RGB RGBblue2					(   0,   0, 205 );
const RGB RGBblue3					(   0,   0, 139 );
const RGB RGBblueviolet				( 138,  43, 226 );
const RGB RGBbrown					( 165,  42,  42 );
const RGB RGBbrown1					( 255,  64,  64 );
const RGB RGBbrown2					( 238,  59,  59 );
const RGB RGBbrown3					( 205,  51,  51 );
const RGB RGBbrown4					( 139,  35,  35 );
const RGB RGBburlywood				( 222, 184, 135 );
const RGB RGBburlywood1				( 255, 211, 155 );
const RGB RGBburlywood2				( 238, 197, 145 );
const RGB RGBburlywood3				( 205, 170, 125 );
const RGB RGBburlywood4				( 139, 115,  85 );
const RGB RGBcadetblue				(  95, 158, 160 );
const RGB RGBcadetblue1				( 152, 245, 255 );
const RGB RGBcadetblue2				( 142, 229, 238 );
const RGB RGBcadetblue3				( 122, 197, 205 );
const RGB RGBcadetblue4				(  83, 134, 139 );
const RGB RGBchartreuse				( 127, 255,   0 );
const RGB RGBchartreuse1			( 118, 238,   0 );
const RGB RGBchartreuse2			( 102, 205,   0 );
const RGB RGBchartreuse3			(  69, 139,   0 );
const RGB RGBchocolate				( 210, 105,  30 );
const RGB RGBchocolate1				( 255, 127,  36 );
const RGB RGBchocolate2				( 238, 118,  33 );
const RGB RGBchocolate3				( 205, 102,  29 );
const RGB RGBchocolate4				( 139,  69,  19 );
const RGB RGBcoral					( 255, 127,  80 );
const RGB RGBcoral1					( 255, 114,  86 );
const RGB RGBcoral2					( 238, 106,  80 );
const RGB RGBcoral3					( 205,  91,  69 );
const RGB RGBcoral4					( 139,  62,  47 );
const RGB RGBcornflowerblue			( 100, 149, 237 );
const RGB RGBcornsilk				( 255, 248, 220 );
const RGB RGBcornsilk1				( 238, 232, 205 );
const RGB RGBcornsilk2				( 205, 200, 177 );
const RGB RGBcornsilk3				( 139, 136, 120 );
const RGB RGBcyan					(   0, 255, 255 );
const RGB RGBcyan1					(   0, 238, 238 );
const RGB RGBcyan2					(   0, 205, 205 );
const RGB RGBcyan3					(   0, 139, 139 );
const RGB RGBdarkgoldenrod			( 184, 134,  11 );
const RGB RGBdarkgoldenrod1			( 255, 185,  15 );
const RGB RGBdarkgoldenrod2			( 238, 173,  14 );
const RGB RGBdarkgoldenrod3			( 205, 149,  12 );
const RGB RGBdarkgoldenrod4			( 139, 101,   8 );
const RGB RGBdarkgreen				(   0, 100,   0 );
const RGB RGBdarkkhaki				( 189, 183, 107 );
const RGB RGBdarkolivegreen			(  85, 107,  47 );
const RGB RGBdarkolivegreen1		( 202, 255, 112 );
const RGB RGBdarkolivegreen2		( 188, 238, 104 );
const RGB RGBdarkolivegreen3		( 162, 205,  90 );
const RGB RGBdarkolivegreen4		( 110, 139,  61 );
const RGB RGBdarkorange				( 255, 140,   0 );
const RGB RGBdarkorange1			( 255, 127,   0 );
const RGB RGBdarkorange2			( 238, 118,   0 );
const RGB RGBdarkorange3			( 205, 102,   0 );
const RGB RGBdarkorange4			( 139,  69,   0 );
const RGB RGBdarkorchid				( 153,  50, 204 );
const RGB RGBdarkorchid1			( 191,  62, 255 );
const RGB RGBdarkorchid2			( 178,  58, 238 );
const RGB RGBdarkorchid3			( 154,  50, 205 );
const RGB RGBdarkorchid4			( 104,  34, 139 );
const RGB RGBdarksalmon				( 233, 150, 122 );
const RGB RGBdarkseagreen			( 143, 188, 143 );
const RGB RGBdarkseagreen1			( 193, 255, 193 );
const RGB RGBdarkseagreen2			( 180, 238, 180 );
const RGB RGBdarkseagreen3			( 155, 205, 155 );
const RGB RGBdarkseagreen4			( 105, 139, 105 );
const RGB RGBdarkslateblue			(  72,  61, 139 );
const RGB RGBdarkslategray			(  47,  79,  79 );
const RGB RGBdarkslategray1			( 151, 255, 255 );
const RGB RGBdarkslategray2			( 141, 238, 238 );
const RGB RGBdarkslategray3			( 121, 205, 205 );
const RGB RGBdarkslategray4			(  82, 139, 139 );
const RGB RGBdarkturquoise			(   0, 206, 209 );
const RGB RGBdarkviolet				( 148,   0, 211 );
const RGB RGBdeeppink				( 255,  20, 147 );
const RGB RGBdeeppink1				( 238,  18, 137 );
const RGB RGBdeeppink2				( 205,  16, 118 );
const RGB RGBdeeppink3				( 139,  10,  80 );
const RGB RGBdeepskyblue			(   0, 191, 255 );
const RGB RGBdeepskyblue1			(   0, 178, 238 );
const RGB RGBdeepskyblue2			(   0, 154, 205 );
const RGB RGBdeepskyblue3			(   0, 104, 139 );
const RGB RGBdimgray				( 105, 105, 105 );
const RGB RGBdodgerblue				(  30, 144, 255 );
const RGB RGBdodgerblue1			(  28, 134, 238 );
const RGB RGBdodgerblue2			(  24, 116, 205 );
const RGB RGBdodgerblue3			(  16,  78, 139 );
const RGB RGBfirebrick				( 178,  34,  34 );
const RGB RGBfirebrick1				( 255,  48,  48 );
const RGB RGBfirebrick2				( 238,  44,  44 );
const RGB RGBfirebrick3				( 205,  38,  38 );
const RGB RGBfirebrick4				( 139,  26,  26 );
const RGB RGBfloralwhite			( 255, 250, 240 );
const RGB RGBforestgreen			(  34, 139,  34 );
const RGB RGBgainsboro				( 220, 220, 220 );
const RGB RGBghostwhite				( 248, 248, 255 );
const RGB RGBgold					( 255, 215,   0 );
const RGB RGBgold1					( 238, 201,   0 );
const RGB RGBgold2					( 205, 173,   0 );
const RGB RGBgold3					( 139, 117,   0 );
const RGB RGBgoldenrod				( 218, 165,  32 );
const RGB RGBgoldenrod1				( 255, 193,  37 );
const RGB RGBgoldenrod2				( 238, 180,  34 );
const RGB RGBgoldenrod3				( 205, 155,  29 );
const RGB RGBgoldenrod4				( 139, 105,  20 );
const RGB RGBgray					( 190, 190, 190 );
const RGB RGBgreen					(   0, 255,   0 );
const RGB RGBgreen1					(   0, 238,   0 );
const RGB RGBgreen2					(   0, 205,   0 );
const RGB RGBgreen3					(   0, 139,   0 );
const RGB RGBgreenyellow			( 173, 255,  47 );
const RGB RGBhoneydew				( 240, 255, 240 );
const RGB RGBhoneydew1				( 224, 238, 224 );
const RGB RGBhoneydew2				( 193, 205, 193 );
const RGB RGBhoneydew3				( 131, 139, 131 );
const RGB RGBhotpink				( 255, 105, 180 );
const RGB RGBhotpink1				( 255, 110, 180 );
const RGB RGBhotpink2				( 238, 106, 167 );
const RGB RGBhotpink3				( 205,  96, 144 );
const RGB RGBhotpink4				( 139,  58,  98 );
const RGB RGBindianred				( 205,  92,  92 );
const RGB RGBindianred1				( 255, 106, 106 );
const RGB RGBindianred2				( 238,  99,  99 );
const RGB RGBindianred3				( 205,  85,  85 );
const RGB RGBindianred4				( 139,  58,  58 );
const RGB RGBivory					( 255, 255, 240 );
const RGB RGBivory1					( 238, 238, 224 );
const RGB RGBivory2					( 205, 205, 193 );
const RGB RGBivory3					( 139, 139, 131 );
const RGB RGBkhaki					( 240, 230, 140 );
const RGB RGBkhaki1					( 255, 246, 143 );
const RGB RGBkhaki2					( 238, 230, 133 );
const RGB RGBkhaki3					( 205, 198, 115 );
const RGB RGBkhaki4					( 139, 134,  78 );
const RGB RGBlavender				( 230, 230, 250 );
const RGB RGBlavenderblush			( 255, 240, 245 );
const RGB RGBlavenderblush1			( 238, 224, 229 );
const RGB RGBlavenderblush2			( 205, 193, 197 );
const RGB RGBlavenderblush3			( 139, 131, 134 );
const RGB RGBlawngreen				( 124, 252,   0 );
const RGB RGBlemonchiffon			( 255, 250, 205 );
const RGB RGBlemonchiffon1			( 238, 233, 191 );
const RGB RGBlemonchiffon2			( 205, 201, 165 );
const RGB RGBlemonchiffon3			( 139, 137, 112 );
const RGB RGBlightblue				( 173, 216, 230 );
const RGB RGBlightblue1				( 191, 239, 255 );
const RGB RGBlightblue2				( 178, 223, 238 );
const RGB RGBlightblue3				( 154, 192, 205 );
const RGB RGBlightblue4				( 104, 131, 139 );
const RGB RGBlightcoral				( 240, 128, 128 );
const RGB RGBlightcyan				( 224, 255, 255 );
const RGB RGBlightcyan1				( 209, 238, 238 );
const RGB RGBlightcyan2				( 180, 205, 205 );
const RGB RGBlightcyan3				( 122, 139, 139 );
const RGB RGBlightgoldenrod			( 238, 221, 130 );
const RGB RGBlightgoldenrod1		( 255, 236, 139 );
const RGB RGBlightgoldenrod2		( 238, 220, 130 );
const RGB RGBlightgoldenrod3		( 205, 190, 112 );
const RGB RGBlightgoldenrod4		( 139, 129,  76 );
const RGB RGBlightgoldenrodyellow	( 250, 250, 210 );
const RGB RGBlightgray				( 211, 211, 211 );
const RGB RGBlightpink				( 255, 182, 193 );
const RGB RGBlightpink1				( 255, 174, 185 );
const RGB RGBlightpink2				( 238, 162, 173 );
const RGB RGBlightpink3				( 205, 140, 149 );
const RGB RGBlightpink4				( 139,  95, 101 );
const RGB RGBlightsalmon			( 255, 160, 122 );
const RGB RGBlightsalmon1			( 238, 149, 114 );
const RGB RGBlightsalmon2			( 205, 129,  98 );
const RGB RGBlightsalmon3			( 139,  87,  66 );
const RGB RGBlightseagreen			(  32, 178, 170 );
const RGB RGBlightskyblue			( 135, 206, 250 );
const RGB RGBlightskyblue1			( 176, 226, 255 );
const RGB RGBlightskyblue2			( 164, 211, 238 );
const RGB RGBlightskyblue3			( 141, 182, 205 );
const RGB RGBlightskyblue4			(  96, 123, 139 );
const RGB RGBlightslateblue			( 132, 112, 255 );
const RGB RGBlightslategray			( 119, 136, 153 );
const RGB RGBlightsteelblue			( 176, 196, 222 );
const RGB RGBlightsteelblue1		( 202, 225, 255 );
const RGB RGBlightsteelblue2		( 188, 210, 238 );
const RGB RGBlightsteelblue3		( 162, 181, 205 );
const RGB RGBlightsteelblue4		( 110, 123, 139 );
const RGB RGBlightyellow			( 255, 255, 224 );
const RGB RGBlightyellow1			( 238, 238, 209 );
const RGB RGBlightyellow2			( 205, 205, 180 );
const RGB RGBlightyellow3			( 139, 139, 122 );
const RGB RGBlimegreen				(  50, 205,  50 );
const RGB RGBlinen					( 250, 240, 230 );
const RGB RGBmagenta				( 255,   0, 255 );
const RGB RGBmagenta1				( 238,   0, 238 );
const RGB RGBmagenta2				( 205,   0, 205 );
const RGB RGBmagenta3				( 139,   0, 139 );
const RGB RGBmaroon					( 176,  48,  96 );
const RGB RGBmaroon1				( 255,  52, 179 );
const RGB RGBmaroon2				( 238,  48, 167 );
const RGB RGBmaroon3				( 205,  41, 144 );
const RGB RGBmaroon4				( 139,  28,  98 );
const RGB RGBmediumaquamarine		( 102, 205, 170 );
const RGB RGBmediumblue				(   0,   0, 205 );
const RGB RGBmediumorchid			( 186,  85, 211 );
const RGB RGBmediumorchid1			( 224, 102, 255 );
const RGB RGBmediumorchid2			( 209,  95, 238 );
const RGB RGBmediumorchid3			( 180,  82, 205 );
const RGB RGBmediumorchid4			( 122,  55, 139 );
const RGB RGBmediumpurple			( 147, 112, 219 );
const RGB RGBmediumpurple1			( 171, 130, 255 );
const RGB RGBmediumpurple2			( 159, 121, 238 );
const RGB RGBmediumpurple3			( 137, 104, 205 );
const RGB RGBmediumpurple4			(  93,  71, 139 );
const RGB RGBmediumseagreen			(  60, 179, 113 );
const RGB RGBmediumslateblue		( 123, 104, 238 );
const RGB RGBmediumspringgreen		(   0, 250, 154 );
const RGB RGBmediumturquoise		(  72, 209, 204 );
const RGB RGBmediumvioletred		( 199,  21, 133 );
const RGB RGBmidnightblue			(  25,  25, 112 );
const RGB RGBmintcream				( 245, 255, 250 );
const RGB RGBmistyrose				( 255, 228, 225 );
const RGB RGBmistyrose1				( 238, 213, 210 );
const RGB RGBmistyrose2				( 205, 183, 181 );
const RGB RGBmistyrose3				( 139, 125, 123 );
const RGB RGBmoccasin				( 255, 228, 181 );
const RGB RGBnavajowhite			( 255, 222, 173 );
const RGB RGBnavajowhite1			( 238, 207, 161 );
const RGB RGBnavajowhite2			( 205, 179, 139 );
const RGB RGBnavajowhite3			( 139, 121,  94 );
const RGB RGBnavy					(   0,   0, 128 );
const RGB RGBoldlace				( 253, 245, 230 );
const RGB RGBolivedrab				( 107, 142,  35 );
const RGB RGBolivedrab1				( 192, 255,  62 );
const RGB RGBolivedrab2				( 179, 238,  58 );
const RGB RGBolivedrab3				( 154, 205,  50 );
const RGB RGBolivedrab4				( 105, 139,  34 );
const RGB RGBorange					( 255, 165,   0 );
const RGB RGBorange1				( 238, 154,   0 );
const RGB RGBorange2				( 205, 133,   0 );
const RGB RGBorange3				( 139,  90,   0 );
const RGB RGBorangered				( 255,  69,   0 );
const RGB RGBorangered1				( 238,  64,   0 );
const RGB RGBorangered2				( 205,  55,   0 );
const RGB RGBorangered3				( 139,  37,   0 );
const RGB RGBorchid					( 218, 112, 214 );
const RGB RGBorchid1				( 255, 131, 250 );
const RGB RGBorchid2				( 238, 122, 233 );
const RGB RGBorchid3				( 205, 105, 201 );
const RGB RGBorchid4				( 139,  71, 137 );
const RGB RGBpalegoldenrod			( 238, 232, 170 );
const RGB RGBpalegreen				( 152, 251, 152 );
const RGB RGBpalegreen1				( 154, 255, 154 );
const RGB RGBpalegreen2				( 144, 238, 144 );
const RGB RGBpalegreen3				( 124, 205, 124 );
const RGB RGBpalegreen4				(  84, 139,  84 );
const RGB RGBpaleturquoise			( 175, 238, 238 );
const RGB RGBpaleturquoise1			( 187, 255, 255 );
const RGB RGBpaleturquoise2			( 174, 238, 238 );
const RGB RGBpaleturquoise3			( 150, 205, 205 );
const RGB RGBpaleturquoise4			( 102, 139, 139 );
const RGB RGBpalevioletred			( 219, 112, 147 );
const RGB RGBpalevioletred1			( 255, 130, 171 );
const RGB RGBpalevioletred2			( 238, 121, 159 );
const RGB RGBpalevioletred3			( 205, 104, 137 );
const RGB RGBpalevioletred4			( 139,  71,  93 );
const RGB RGBpapayawhip				( 255, 239, 213 );
const RGB RGBpeachpuff				( 255, 218, 185 );
const RGB RGBpeachpuff1				( 238, 203, 173 );
const RGB RGBpeachpuff2				( 205, 175, 149 );
const RGB RGBpeachpuff3				( 139, 119, 101 );
const RGB RGBperu					( 205, 133,  63 );
const RGB RGBpink					( 255, 192, 203 );
const RGB RGBpink1					( 255, 181, 197 );
const RGB RGBpink2					( 238, 169, 184 );
const RGB RGBpink3					( 205, 145, 158 );
const RGB RGBpink4					( 139,  99, 108 );
const RGB RGBplum					( 221, 160, 221 );
const RGB RGBplum1					( 255, 187, 255 );
const RGB RGBplum2					( 238, 174, 238 );
const RGB RGBplum3					( 205, 150, 205 );
const RGB RGBplum4					( 139, 102, 139 );
const RGB RGBpowderblue				( 176, 224, 230 );
const RGB RGBpurple					( 160,  32, 240 );
const RGB RGBpurple1				( 155,  48, 255 );
const RGB RGBpurple2				( 145,  44, 238 );
const RGB RGBpurple3				( 125,  38, 205 );
const RGB RGBpurple4				(  85,  26, 139 );
const RGB RGBred					( 255,   0,   0 );
const RGB RGBred1					( 238,   0,   0 );
const RGB RGBred2					( 205,   0,   0 );
const RGB RGBred3					( 139,   0,   0 );
const RGB RGBrosybrown				( 188, 143, 143 );
const RGB RGBrosybrown1				( 255, 193, 193 );
const RGB RGBrosybrown2				( 238, 180, 180 );
const RGB RGBrosybrown3				( 205, 155, 155 );
const RGB RGBrosybrown4				( 139, 105, 105 );
const RGB RGBroyalblue				(  65, 105, 225 );
const RGB RGBroyalblue1				(  72, 118, 255 );
const RGB RGBroyalblue2				(  67, 110, 238 );
const RGB RGBroyalblue3				(  58,  95, 205 );
const RGB RGBroyalblue4				(  39,  64, 139 );
const RGB RGBsaddlebrown			( 139,  69,  19 );
const RGB RGBsalmon					( 250, 128, 114 );
const RGB RGBsalmon1				( 255, 140, 105 );
const RGB RGBsalmon2				( 238, 130,  98 );
const RGB RGBsalmon3				( 205, 112,  84 );
const RGB RGBsalmon4				( 139,  76,  57 );
const RGB RGBsandybrown				( 244, 164,  96 );
const RGB RGBseagreen				(  46, 139,  87 );
const RGB RGBseagreen1				(  84, 255, 159 );
const RGB RGBseagreen2				(  78, 238, 148 );
const RGB RGBseagreen3				(  67, 205, 128 );
const RGB RGBseagreen4				(  46, 139,  87 );
const RGB RGBseashell				( 255, 245, 238 );
const RGB RGBseashell1				( 238, 229, 222 );
const RGB RGBseashell2				( 205, 197, 191 );
const RGB RGBseashell3				( 139, 134, 130 );
const RGB RGBsienna					( 160,  82,  45 );
const RGB RGBsienna1				( 255, 130,  71 );
const RGB RGBsienna2				( 238, 121,  66 );
const RGB RGBsienna3				( 205, 104,  57 );
const RGB RGBsienna4				( 139,  71,  38 );
const RGB RGBskyblue				( 135, 206, 235 );
const RGB RGBskyblue1				( 126, 192, 238 );
const RGB RGBskyblue2				( 108, 166, 205 );
const RGB RGBskyblue3				(  74, 112, 139 );
const RGB RGBslateblue				( 106,  90, 205 );
const RGB RGBslateblue1				( 131, 111, 255 );
const RGB RGBslateblue2				( 122, 103, 238 );
const RGB RGBslateblue3				( 105,  89, 205 );
const RGB RGBslateblue4				(  71,  60, 139 );
const RGB RGBslategray				( 112, 128, 144 );
const RGB RGBslategray1				( 198, 226, 255 );
const RGB RGBslategray2				( 185, 211, 238 );
const RGB RGBslategray3				( 159, 182, 205 );
const RGB RGBslategray4				( 108, 123, 139 );
const RGB RGBsnow					( 255, 250, 250 );
const RGB RGBsnow1					( 238, 233, 233 );
const RGB RGBsnow2					( 205, 201, 201 );
const RGB RGBsnow3					( 139, 137, 137 );
const RGB RGBspringgreen			(   0, 255, 127 );
const RGB RGBspringgreen1			(   0, 238, 118 );
const RGB RGBspringgreen2			(   0, 205, 102 );
const RGB RGBspringgreen3			(   0, 139,  69 );
const RGB RGBsteelblue				(  70, 130, 180 );
const RGB RGBsteelblue1				(  99, 184, 255 );
const RGB RGBsteelblue2				(  92, 172, 238 );
const RGB RGBsteelblue3				(  79, 148, 205 );
const RGB RGBsteelblue4				(  54, 100, 139 );
const RGB RGBtan					( 210, 180, 140 );
const RGB RGBtan1					( 255, 165,  79 );
const RGB RGBtan2					( 238, 154,  73 );
const RGB RGBtan3					( 205, 133,  63 );
const RGB RGBtan4					( 139,  90,  43 );
const RGB RGBthistle				( 216, 191, 216 );
const RGB RGBthistle1				( 255, 225, 255 );
const RGB RGBthistle2				( 238, 210, 238 );
const RGB RGBthistle3				( 205, 181, 205 );
const RGB RGBthistle4				( 139, 123, 139 );
const RGB RGBtomato					( 255,  99,  71 );
const RGB RGBtomato1				( 238,  92,  66 );
const RGB RGBtomato2				( 205,  79,  57 );
const RGB RGBtomato3				( 139,  54,  38 );
const RGB RGBturquoise				(  64, 224, 208 );
const RGB RGBturquoise1				(   0, 245, 255 );
const RGB RGBturquoise2				(   0, 229, 238 );
const RGB RGBturquoise3				(   0, 197, 205 );
const RGB RGBturquoise4				(   0, 134, 139 );
const RGB RGBviolet					( 238, 130, 238 );
const RGB RGBvioletred				( 208,  32, 144 );
const RGB RGBvioletred1				( 255,  62, 150 );
const RGB RGBvioletred2				( 238,  58, 140 );
const RGB RGBvioletred3				( 205,  50, 120 );
const RGB RGBvioletred4				( 139,  34,  82 );
const RGB RGBwheat					( 245, 222, 179 );
const RGB RGBwheat1					( 255, 231, 186 );
const RGB RGBwheat2					( 238, 216, 174 );
const RGB RGBwheat3					( 205, 186, 150 );
const RGB RGBwheat4					( 139, 126, 102 );
const RGB RGBwhite					( 255, 255, 255 );
const RGB RGBwhitesmoke				( 245, 245, 245 );
const RGB RGByellow					( 255, 255,   0 );
const RGB RGByellow1				( 238, 238,   0 );
const RGB RGByellow2				( 205, 205,   0 );
const RGB RGByellow3				( 139, 139,   0 );
const RGB RGByellowgreen			( 154, 205,  50 );

#endif // RGBNAMES_H_