// Copyright 1997
// College of Computer Science
// Northeastern University Boston MA 02115

// Copyright 1996
// College of Computer Science
// Northeastern University Boston MA 02115

// This software may be used for educational purposes as long as this copyright
// notice is retained at the top of all files

// Should this software be modified, the words "Modified from Original" must be
// included as a comment below this notice

// All publication rights are retained.  This software or its documentation may
// not be published in any media either in whole or in part.

///////////////////////////////////////////////////////////////////////////////

//	Scale2D.cp

///////////////////////////////////////////////////////////////////////////////

#include "Scale2D.h"

// LinearScale2D Set

void LinearScale2D::Set(const Rect2D& Bounds, const Rect& Limits) {
	double X1;
	double Y1;
	double X2;
	double Y2;
	
	Bounds.Get(X1, Y1, X2, Y2);
	
	short x1;
	short y1;
	short x2;
	short y2;
	
	GetRect(Limits, x1, y1, x2, y2);
	
	sx.Set(X1, X2, x1, x2);		// maintain x direction
	sy.Set(Y1, Y2, y2, y1);		// reverse  y direction
}


// LinearScale2D SetTrueShape

void LinearScale2D::SetTrueShape(const Rect2D& Bounds, const Rect& Limits) {
	// extract rectangle data
	
	double X1;
	double Y1;
	double X2;
	double Y2;
	
	Bounds.Get(X1, Y1, X2, Y2);
	
	short x1;
	short y1;
	short x2;
	short y2;
	
	GetRect(Limits, x1, y1, x2, y2);
	
	// compute factors and offsets
	
	double FactorX;
	double FactorY;
	double OffsetX;
	double OffsetY;
	
	// maintain x direction when computing FactorX
	
	if ((X1 == X2) || (x1 == x2))
		FactorX = 1;
	else
		FactorX = double(x2 - x1) / (X2 - X1);
	
	// reverse  y direction when computing FactorY
	
	if ((Y1 == Y2) || (y1 == y2))
		FactorY = -1;
	else
		FactorY = double(y2 - y1) / (Y1 - Y2);
	
	// now compute magnitudes
	
	double FX = fabs(FactorX);
	double FY = fabs(FactorY);
	
	// now equalize factors in magnitude
	
	if (FX < FY)
		FactorY *= FX / FY;		// shrink FactorY
	else
		FactorX *= FY / FX;		// shrink FactorX
	
	// finally compute offsets to center image of Bounds within Limits
	
	OffsetX = double((x1 + x2) / 2) - FactorX * ((X1 + X2) / 2);
	OffsetY = double((y1 + y2) / 2) - FactorY * ((Y1 + Y2) / 2);
	
	// now set scale objects
	
	sx.Set(FactorX, OffsetX);
	sy.Set(FactorY, OffsetY);
}
