// Copyright 1996
// College of Computer Science
// Northeastern University Boston MA 02115

// This software may be used for educational purposes as long as this copyright
// notice is retained at the top of all files

// Should this software be modified, the words "Modified from Original" must be
// included as a comment below this notice

// All publication rights are retained.  This software or its documentation may
// not be published in any media either in whole or in part.

///////////////////////////////////////////////////////////////////////////////

//	SoundChannels.h
//	August 18, 1996

///////////////////////////////////////////////////////////////////////////////

#ifndef SOUNDCHANNELS_H_
#define SOUNDCHANNELS_H_

#include <Sound.h>

class SoundChannel {
	private:
		SndChannelPtr 	mySndChan;
		
	public:
		SoundChannel() // constructor
		{
			OSErr			myErr;

			mySndChan = (SndChannelPtr)NewPtrClear(sizeof(SndChannel));
			if (mySndChan != NULL) {
				mySndChan->qLength = stdQLength;  // 129 sound commands
				myErr = SndNewChannel(&mySndChan, squareWaveSynth, initMono, NULL);
			}	
		}

		~SoundChannel() // destructor
		{
			OSErr			myErr;
				
			myErr = SndDisposeChannel(mySndChan, 0/* await completion*/);	
		}

		// volume 0 .. 255
		// duration in half-milliseconds
		// midiNote = midi # = 1 .. 127; middle C = 60
		void Play (short volume, short dur,long midiNote)
		{
			SndCommand		mySndCmd;			// a sound command
			OSErr			myErr;
			
			// Prototype for error handling routine
			// void DoError(OSErr);
		 
			mySndCmd.cmd	= ampCmd;
			mySndCmd.param1 = volume;				// an amplitude
			mySndCmd.param2 = 0;				// not used
			
			//play the sound
			// assume that mySndChan points to a valid sound channel
			myErr = SndDoCommand(mySndChan,&mySndCmd, false);
		 
		 	mySndCmd.cmd	= freqDurationCmd;
			mySndCmd.param1 = dur;				// duration in half-milliseconds
			mySndCmd.param2 = midiNote;			// MIDI note number, 60 = middle C
			
			//play the sound
			// assume that mySndChan points to a valid sound channel
			myErr = SndDoCommand(mySndChan,&mySndCmd, false);
		}
};

#endif // SOUNDCHANNELS_H_